<!DOCTYPE html>
<html>
    <head>
        <link rel="shortcut icon" href="data:image/x-icon;," type="image/x-icon">

        <link href="https://unpkg.com/metro4@4.5.0/build/css/metro-all.min.css" rel="stylesheet" />
        <style type="text/css" >
            body {
                margin: 0;
                min-height: 100vh;
                max-height: 100vh;
                display: flex;
                flex-direction: column;
            }
            canvas {
                flex: 1;
                height: 1px; /* to prevent expanded growing inside flex box */
            }

            @media (prefers-color-scheme:dark) {
                body { background-color:black; color: white; }
            }
            @media (prefers-color-scheme:dark) {
                body {
                    background-color:black;
                    color: white;
                }
                .ribbon-menu .content-holder, .ribbon-button, .ribbon-icon-button {
                    background-color:#333;
                    color: white;
                }
            }
        </style>

        <title>nagy/cl/</title>

        <script type="text/javascript" src="jscl.js"></script>

    </head>
    <body>
        <nav data-role="ribbonmenu" data-role-ribbonmenu="true" class="ribbon-menu">
            <!-- <ul class="tabs-holder"> <li><a>Main</a></li> </ul> -->

            <!-- icons from: https://metroui.org.ua/icons.html -->
            <div class="content-holder">
                <div class="section active" id="section_1_1">
                    <div class="group">
                        <button onclick="jscl.evaluateString('(add-helmet)')" class="ribbon-button">
                            <span class="icon mif-stack2 mif-3x"></span>
                            <span class="caption">add-helmet</span>
                        </button>
                        <button onclick="jscl.evaluateString('(pick-folder)')" class="ribbon-button">
                            <span class="icon mif-folder-open mif-3x"></span>
                            <span class="caption">pick-folder</span>
                        </button>
                        <button class="ribbon-button">
                            <span class="icon mif-bug mif-3x"></span>
                            <span class="caption">Share</span>
                        </button>

                        <span class="title">Resources</span>
                    </div>

                    <div class="group" >
                        <button class="ribbon-button">
                            <span class="icon mif-share mif-3x"></span>
                            <span class="caption">Share</span>
                        </button>

                        <div class="d-flex flex-column">
                            <button onclick="jscl.evaluateString('(hide-toolbar)')" class="ribbon-icon-button">
                                <span class="icon mif-share"></span>
                                <span class="caption">Hide Toolbar</span>
                            </button>
                            <button class="ribbon-icon-button">
                                <span class="icon mif-share"></span>
                                <span class="caption">Share</span>
                            </button>
                            <button class="ribbon-icon-button" >
                                <span class="icon mif-home fg-amber"></span>
                                <span class="caption">Home</span>
                            </button>
                        </div>

                        <span class="title">Misc</span>
                    </div>
                </div>
            </div>
        </nav>

        <script>
            jscl.evaluateString("(defpackage :nagy (:use cl jscl))")
            jscl.evaluateString("(in-package :nagy)")
        </script>
        <script>
            // prepare a loading function
            async function fetchHelper(url) {
                jscl.packages.CL.symbols.LOAD.fvalue(1, url) 
            };
            let u = new URL(document.location.href)
            window.initform = new URL(`file:///${location.hash.substring(1)}`).searchParams.get("initform");
            if( initform ) jscl.evaluateString(initform)
            window.initurl = new URL(`file:///${location.hash.substring(1)}`).searchParams.get("initurl");
            if( initurl ) fetchHelper(initurl)
            // import helper
            window.import_func=function(url,cb){ import (url).then(cb) };
            jscl.evaluateString("(defmacro importing (url callback) `(funcall #j:import_func ,url (lambda (v) (funcall ,callback v))))")
            jscl.evaluateString("(defun set-window (name val) (jscl::oset val #j:window name))")
            jscl.evaluateString("(defun hide-toolbar () (jscl::js-eval \"document.querySelectorAll('.ribbon-menu')[0].style.display='none'\"))")
        </script>
    </body>
</html>
